org.springframework.batch.core.listener

## Class StepExecutionListenerSupport

- java.lang.Object
- - org.springframework.batch.core.listener.StepExecutionListenerSupport

- All Implemented Interfaces:
    StepExecutionListener, StepListener
  Direct Known Subclasses:
    ChunkMessageChannelItemWriter, ExecutionContextPromotionListener, JobParameterExecutionContextCopyListener, NoWorkFoundStepExecutionListener, StepExecutionSimpleCompletionPolicy, SystemCommandTasklet

      public class StepExecutionListenerSupport
      extends java.lang.Object
      implements StepExecutionListener

  Author:
    Dave Syer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepExecutionListenerSupport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExitStatus` | `afterStep(StepExecution stepExecution)` Give a listener a chance to modify the exit status from a step.
    `void` | `beforeStep(StepExecution stepExecution)` Initialize the state of the listener with the `StepExecution` from the current scope.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StepExecutionListenerSupport

          public StepExecutionListenerSupport()

  - ### Method Detail

    - #### afterStep

          @Nullable
          public ExitStatus afterStep(StepExecution stepExecution)

      Description copied from interface: `StepExecutionListener`
      Give a listener a chance to modify the exit status from a step. The value returned will be combined with the normal exit status using `ExitStatus.and(ExitStatus)`. Called after execution of step's processing logic (both successful or failed). Throwing exception in this method has no effect, it will only be logged.
      Specified by:
        `afterStep` in interface `StepExecutionListener`
      Parameters:
        `stepExecution` - `StepExecution` instance.
      Returns:
        an `ExitStatus` to combine with the normal value. Return `null` to leave the old value unchanged.

    - #### beforeStep

          public void beforeStep(StepExecution stepExecution)

      Description copied from interface: `StepExecutionListener`
      Initialize the state of the listener with the `StepExecution` from the current scope.
      Specified by:
        `beforeStep` in interface `StepExecutionListener`
      Parameters:
        `stepExecution` - instance of `StepExecution`.